# Class IfcMeshDepthMaterial

#### Hierarchy (View Summary)

- CustomDepthMaterial
  - IfcMeshDepthMaterial

##### Index

### Constructors

constructor

### Properties

_type
diffuseTexture
isDirty
propertiesTexture?
storeNonLinearDepth

### Accessors

visualSettings

### Methods

bindFunction
getFragmentSource
getUniformsAndDefinesAndSamplers
getVertexSource
isReadyForSubMesh
setLinearDepthMode
updateShader

## Constructors

### constructor

- new IfcMeshDepthMaterial(
  name: string,
  scene: Scene,
  renderingInfo: ProductMeshesGroupRenderInfo,
  diffuseTexture: LazyResizableRawTexture,
  propertiesTexture: LazyResizableRawTexture,
  ): IfcMeshDepthMaterial

  #### Parameters

  - name: string
  - scene: Scene
  - renderingInfo: ProductMeshesGroupRenderInfo
  - diffuseTexture: LazyResizableRawTexture
  - propertiesTexture: LazyResizableRawTexture

  #### Returns IfcMeshDepthMaterial

  Overrides CustomDepthMaterial.constructor

## Properties

### `Readonly`_type

_type: "IfcMeshDepthMaterial" = 'IfcMeshDepthMaterial'

### `Readonly` diffuseTexture

diffuseTexture: LazyResizableRawTexture

Inherited from CustomDepthMaterial.diffuseTexture

### `Protected` isDirty

isDirty: boolean = true

Inherited from CustomDepthMaterial.isDirty

### `Optional` `Readonly` propertiesTexture

propertiesTexture?: LazyResizableRawTexture

Inherited from CustomDepthMaterial.propertiesTexture

### storeNonLinearDepth

storeNonLinearDepth: boolean = true

Inherited from CustomDepthMaterial.storeNonLinearDepth

## Accessors

### `Protected` visualSettings

- get visualSettings(): PictureSettings

  #### Returns PictureSettings

  Inherited from CustomDepthMaterial.visualSettings

## Methods

### bindFunction

- bindFunction(mesh: AbstractMesh): void

  #### Parameters

  - mesh: AbstractMesh

  #### Returns void

  Overrides CustomDepthMaterial.bindFunction

### getFragmentSource

- getFragmentSource(): string

  #### Returns string

  Inherited from CustomDepthMaterial.getFragmentSource

### getUniformsAndDefinesAndSamplers

- getUniformsAndDefinesAndSamplers(): UniformsAndDefinesAndSamplers

  #### Returns UniformsAndDefinesAndSamplers

  Overrides CustomDepthMaterial.getUniformsAndDefinesAndSamplers

### getVertexSource

- getVertexSource(): string

  #### Returns string

  Inherited from CustomDepthMaterial.getVertexSource

### isReadyForSubMesh

- isReadyForSubMesh(
  mesh: AbstractMesh,
  subMesh: SubMesh,
  useInstances: boolean,
  ): boolean

  Specifies that the submesh is ready to be used

  #### Parameters

  - mesh: AbstractMesh

    defines the mesh to check

  - subMesh: SubMesh

    defines which submesh to check

  - useInstances: boolean

    specifies that instances should be used

  #### Returns boolean

  a boolean indicating that the submesh is ready or not

  Inherited from CustomDepthMaterial.isReadyForSubMesh

### setLinearDepthMode

- setLinearDepthMode(storeNonLinearDepth: boolean): void

  #### Parameters

  - storeNonLinearDepth: boolean

  #### Returns void

  Inherited from CustomDepthMaterial.setLinearDepthMode

### updateShader

- updateShader(): void

  #### Returns void

  Inherited from CustomDepthMaterial.updateShader